Create API Token - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Create API Token

cURL

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/api-tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "name": "<string>",\n  "expiry": "2023-11-07T05:31:56Z",\n  "permissions": [],\n  "allowedAddresses": [\n    "<string>"\n  ]\n}\n'

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/api-tokens"

payload = {
    "name": "<string>",
    "expiry": "2023-11-07T05:31:56Z",
    "permissions": [],
    "allowedAddresses": ["<string>"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    expiry: '2023-11-07T05:31:56Z',
    permissions: [],
    allowedAddresses: ['<string>']
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/api-tokens', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/api-tokens",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => '<string>',
    'expiry' => '2023-11-07T05:31:56Z',
    'permissions' => [],
    'allowedAddresses' => ['<string>']
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/api-tokens"

payload := strings.NewReader("{\n  \"name\": \"<string>\",\n  \"expiry\": \"2023-11-07T05:31:56Z\",\n  \"permissions\": [],\n  \"allowedAddresses\": [\n    \"<string>\"\n  ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "userId": "<string>",
  "name": "<string>",
  "partialToken": "<string>",
  "expiry": "2023-11-07T05:31:56Z",
  "allowedAddresses": ["<string>"],
  "permissions": [],
  "token": "<string>"
}